Subject: Re: bug#73524: 29.4; bug-reference-mode matches regexp case-insensitively

From: Ulrich Mueller <[email-masked]>
Date: Sat, 28 Sep 2024 19:25:19 +0200

>>>>> On Sat, 28 Sep 2024, Tassilo Horn wrote:

> Eli Zaretskii <[email-masked]> writes:
>>> In the wild, bug references are almost always case-insensitive
>>> because URLs are.  So one could say that maybe there should be a
>>> bug-reference-case-fold-search defcustom (defaulting to t) in order
>>> to decouple it from case-fold-search.
>> 
>> If we want to always match case-insensitively in bug-reference, then
>> we could bind case-fold-search to t in bug-reference-fontify, no?

> Sure, if we are convinced that there's really no scenario where bug
> references are case-sensitive.  I would think this is very uncommon but
> not impossible.

What about the other examples in the default, i.e. "RFE" and "PR"?
I'm not completely convinced that matching their lower-case form would
be a good thing.